# Last edited on 2001-09-13 16:43:08 by stolfi

JOBNAME = adj-graph

TESTDIR = ../..
TOOLDIR = ${TESTDIR}/scripts

FIGURE = ${TESTDIR}/data/data/tiles/assembled-small.eps
COORDS = ${TESTDIR}/data/tiles/assembled.ctrs

PARTS = \
  f000-t-can.dgr \
  f000-u-can.dgr \
  f000-tu-can.dgr

FIGURES = \
  ${TESTDIR}/data/tiles/assembled-small.eps

TEXMACS =

all: ${JOBNAME}.ps

.SUFFIXES:
.SUFFIXES: .tex .dvi .ps

f000-t-can.dgr: f000-t.can ${COORDS} ;\
  ${TOOLDIR}/draw-dual-graph ${COORDS} f000-t.can \
    > f000-t-can.dgr

f000-u-can.dgr: f000-u.can ${COORDS} ;\
  ${TOOLDIR}/draw-dual-graph ${COORDS} f000-u.can \
    > f000-u-can.dgr

f000-tu-can.dgr: /tmp/f000-tu.can ${COORDS} ;\
  ${TOOLDIR}/draw-dual-graph ${COORDS} /tmp/f000-tu.can \
    > f000-tu-can.dgr

/tmp/f000-tu.can: f000-t.can f000-u.can ;\
  ${TOOLDIR}/concat-candidates f000-t.can f000-u.can \
    > /tmp/f000-tu.can

${JOBNAME}.dvi: ${JOBNAME}.tex ${FIGURE} ${TEXMACS} ${PARTS} ;\
  latex ${JOBNAME}.tex

${JOBNAME}.ps: ${JOBNAME}.dvi ${FIGURE} ;\
  dvips ${JOBNAME} && ghostview ${JOBNAME}.ps




